function filterDocx( contentFilename ){
        let file = filesWithMetadata[contentFilename]
        if (!file) return

        let contentType = file.contentType

        if ( contentType.includes("xml") && contentFilename.includes("_content.docx/") && contentFilename.endsWith(".docx")) {
                console.log('it is a docx packed file', contentFilename)
		fetch( contentFilename )
			.then( r => r.blob(r) )
			.then( file => zip.loadAsync(file) )
			.then( f => {
				// console.log(f.files)

				f.files["word/document.xml"].async("string")
				.then( str => new window.DOMParser().parseFromString(str, "text/xml"))
				.then(data => {
					// console.log('docx via packed', data)
					
					el = addNewNote( data.childNodes[0].textContent, "-.5 1.2 -0.5" )
					AFRAME.scenes[0].emit('docxxmlloaded', contentFilename)
					// to use the event consider :
					//AFRAME.scenes[0].addEventListener("visualmetajsonloaded", e => console.log(e))
				})
			});
        }
        applyNextFilter( contentFilename )
}

sequentialFilters.push( filterDocx )
