function filterDocxJSON( contentFilename ){
        let file = filesWithMetadata[contentFilename]
        if (!file) return

        let contentType = file.contentType

        if ( contentType.includes("xml") && contentFilename.includes("_content.docx/") && contentFilename.endsWith(".xml")) {
                console.log('it is a docx file', contentFilename)
		fetch( contentFilename )
			.then(response => response.text())
			.then(str => new window.DOMParser().parseFromString(str, "text/xml"))
			.then(data => {
				// console.log(data)
				
				el = addNewNote( data.childNodes[0].textContent, "0 1.2 -0.7" )
				AFRAME.scenes[0].emit('docxxmlloaded', contentFilename)
				// to use the event consider :
				//AFRAME.scenes[0].addEventListener("visualmetajsonloaded", e => console.log(e))
			});
        }
        applyNextFilter( contentFilename )
}

sequentialFilters.push( filterDocxJSON )
