function filterOdtJSON( contentFilename ){
        let file = filesWithMetadata[contentFilename]
        if (!file) return

        let contentType = file.contentType

        if ( contentType.includes("xml") && contentFilename.includes("_content.odt/") && contentFilename.endsWith(".xml")) {
                console.log('it is a visualmeta export file', contentFilename)
		fetch( contentFilename )
			.then(response => response.text())
			.then(str => new window.DOMParser().parseFromString(str, "text/xml"))
			.then(data => {
				console.log(data)
				
					el = addNewNote( data.childNodes[0].textContent )
			});
		/*
		fetch( contentFilename ).then( r => r.json() ).then( json => {
			// not JSON!
			console.log( json )
			let thumbnailPath = json.thumbnail.replace("file:/","/tapestry/")
			let el = document.createElement("a-image")
			el.setAttribute("position", "0 1.5 0.7")
			el.setAttribute("rotation", "0 180 0")
			el.setAttribute("src", thumbnailPath)
			el.setAttribute("width", json.startView.size.width/10000)
			el.setAttribute("height", json.startView.size.height/10000)
			AFRAME.scenes[0].appendChild(el)

			let positioned = {}
			json.items.map( i => {
				let x = 1-i.position.x/1000
				let y = 2-i.position.y/1000

				let el = null
				if (i.type == "text") {
					el = addNewNoteAsPostItNote( i.text, x + " " + y + " 1", ".1 .1 .1", "tapestry_"+i.id, "tapestry_text", true, "0 180 0")
					  // addNewNoteAsPostItNote( text, position=`-0.2 1.1 -0.1`, scale= "0.1 0.1 0.1", id=null, classes="notes", visible="true", rotation="0 0 0" ){
				}

				if (i.thumbnail) {
					let thumbnailPath = i.thumbnail.source.replace("file:/","/tapestry/")
					el = document.createElement("a-image")
					el.setAttribute("position", x + " " + y + " 1")
					el.setAttribute("rotation", "0 180 0")
					el.setAttribute("src", thumbnailPath)
					el.setAttribute("width", i.size.width/1000)
					el.setAttribute("height", i.size.height/1000)
					AFRAME.scenes[0].appendChild(el)
				}
				positioned[i.id] = el
				if ( el ) el.setAttribute("target", "")
			})

			setTimeout( _ => {
			// must be done after the items are positioned
			json.rels.map( i => {
				let el = document.createElement("a-tube")
				console.log( i.from.itemId, i.to.itemId )
				let start = positioned[i.from.itemId].getAttribute("position")
				let end = positioned[i.to.itemId].getAttribute("position")
				let mid = new THREE.Vector3()
				mid.copy ( start )
				mid.add ( end )
				mid.divideScalar(2)
				mid.z += 0.3
				let path = [start, mid, end].map( p => AFRAME.utils.coordinates.stringify( p ) ).join(", ")

                                el.setAttribute("radius", 0.01)
				el.setAttribute("path", path)
				AFRAME.scenes[0].appendChild(el)
			})
			}, 1000 )

			AFRAME.scenes[0].emit('visualmetajsonloaded', contentFilename)
			// to use the event consider :
			//AFRAME.scenes[0].addEventListener("visualmetajsonloaded", e => console.log(e))
		})
		*/
        }
        applyNextFilter( contentFilename )
}

sequentialFilters.push( filterOdtJSON )
